.row {
    --gap: 0px;
    --bottom-gap: var(--gap);

    display: flex;
    flex-wrap: wrap;
    margin-left: calc(var(--gap) / 2 * -1);
    margin-right: calc(var(--gap) / 2 * -1);
    row-gap: var(--bottom-gap)
}

.row div.col, .row div[class^="col-"] {
    padding: 0 calc(var(--gap) / 2)
}

.col, .col-auto {
    max-width: 100%;
    flex: unset
}

.col-auto {
    flex: 1
}

.col-none {
    display: none;
}

.col-1 {
    display: block;
    max-width: 8.333333%;
    flex: 0 0 8.333333%;
}

.col-min-1 {
    display: block;
    min-width: 8.333333%;
}

.col-2 {
    display: block;
    max-width: 16.666667%;
    flex: 0 0 16.666667%;
}

.col-min-2 {
    display: block;
    min-width: 16.666667%;
}

.col-3 {
    display: block;
    max-width: 25%;
    flex: 0 0 25%;
}

.col-min-3 {
    display: block;
    min-width: 25%;
}

.col-4 {
    display: block;
    max-width: 33.333333%;
    flex: 0 0 33.333333%;
}

.col-min-4 {
    display: block;
    min-width: 33.333333%;
}

.col-5 {
    display: block;
    max-width: 41.666667%;
    flex: 0 0 41.666667%;
}

.col-min-5 {
    display: block;
    min-width: 41.666667%;
}

.col-6 {
    display: block;
    max-width: 50%;
    flex: 0 0 50%;
}

.col-min-6 {
    display: block;
    min-width: 50%;
}

.col-7 {
    display: block;
    max-width: 58.333333%;
    flex: 0 0 58.333333%;
}

.col-min-7 {
    display: block;
    min-width: 58.333333%;
}

.col-8 {
    display: block;
    max-width: 66.666667%;
    flex: 0 0 66.666667%;
}

.col-min-8 {
    display: block;
    min-width: 66.666667%;
}

.col-9 {
    display: block;
    max-width: 75%;
    flex: 0 0 75%;
}

.col-min-9 {
    display: block;
    min-width: 75%;
}

.col-10 {
    display: block;
    max-width: 83.333333%;
    flex: 0 0 83.333333%;
}

.col-min-10 {
    display: block;
    min-width: 83.333333%;
}

.col-11 {
    display: block;
    max-width: 91.666667%;
    flex: 0 0 91.666667%;
}

.col-min-11 {
    display: block;
    min-width: 91.666667%;
}

.col-12 {
    display: block;
    max-width: 100%;
    flex: 0 0 100%;
}

.col-min-12 {
    display: block;
    min-width: 100%;
}

@media (width >= 360px) {
    .col-xxs {
        display: block;
        max-width: 100%;
        flex: auto;
    }

    .col-xxs-auto {
        display: block;
        max-width: 100%;
        flex: 1;
    }

    .col-xxs-1 {
        display: block;
        max-width: 8.333333%;
        flex: 0 0 8.333333%;
    }

    .col-xxs-2 {
        display: block;
        max-width: 16.666667%;
        flex: 0 0 16.666667%;
    }

    .col-xxs-3 {
        display: block;
        max-width: 25%;
        flex: 0 0 25%;
    }

    .col-xxs-4 {
        display: block;
        max-width: 33.333333%;
        flex: 0 0 33.333333%;
    }

    .col-xxs-5 {
        display: block;
        max-width: 41.666667%;
        flex: 0 0 41.666667%;
    }

    .col-xxs-6 {
        display: block;
        max-width: 50%;
        flex: 0 0 50%;
    }

    .col-xxs-7 {
        display: block;
        max-width: 58.333333%;
        flex: 0 0 58.333333%;
    }

    .col-xxs-8 {
        display: block;
        max-width: 66.666667%;
        flex: 0 0 66.666667%;
    }

    .col-xxs-9 {
        display: block;
        max-width: 75%;
        flex: 0 0 75%;
    }

    .col-xxs-10 {
        display: block;
        max-width: 83.333333%;
        flex: 0 0 83.333333%;
    }

    .col-xxs-11 {
        display: block;
        max-width: 91.666667%;
        flex: 0 0 91.666667%;
    }

    .col-xxs-12 {
        display: block;
        max-width: 100%;
        flex: 0 0 100%;
    }
}

@media (width >= 450px) {
    .col-xs {
        display: block;
        max-width: 100%;
        flex: auto;
    }

    .col-xs-auto {
        display: block;
        max-width: 100%;
        flex: 1;
    }

    .col-xs-1 {
        display: block;
        max-width: 8.333333%;
        flex: 0 0 8.333333%;
    }

    .col-xs-2 {
        display: block;
        max-width: 16.666667%;
        flex: 0 0 16.666667%;
    }

    .col-xs-3 {
        display: block;
        max-width: 25%;
        flex: 0 0 25%;
    }

    .col-xs-4 {
        display: block;
        max-width: 33.333333%;
        flex: 0 0 33.333333%;
    }

    .col-xs-5 {
        display: block;
        max-width: 41.666667%;
        flex: 0 0 41.666667%;
    }

    .col-xs-6 {
        display: block;
        max-width: 50%;
        flex: 0 0 50%;
    }

    .col-xs-7 {
        display: block;
        max-width: 58.333333%;
        flex: 0 0 58.333333%;
    }

    .col-xs-8 {
        display: block;
        max-width: 66.666667%;
        flex: 0 0 66.666667%;
    }

    .col-xs-9 {
        display: block;
        max-width: 75%;
        flex: 0 0 75%;
    }

    .col-xs-10 {
        display: block;
        max-width: 83.333333%;
        flex: 0 0 83.333333%;
    }

    .col-xs-11 {
        display: block;
        max-width: 91.666667%;
        flex: 0 0 91.666667%;
    }

    .col-xs-12 {
        display: block;
        max-width: 100%;
        flex: 0 0 100%;
    }
}

@media (width >= 576px) {
    .col-sm {
        display: block;
        max-width: 100%;
        flex: auto;
    }

    .col-sm-auto {
        display: block;
        max-width: 100%;
        flex: 1;
    }

    .col-sm-1 {
        display: block;
        max-width: 8.333333%;
        flex: 0 0 8.333333%;
    }

    .col-sm-2 {
        display: block;
        max-width: 16.666667%;
        flex: 0 0 16.666667%;
    }

    .col-sm-3 {
        display: block;
        max-width: 25%;
        flex: 0 0 25%;
    }

    .col-sm-4 {
        display: block;
        max-width: 33.333333%;
        flex: 0 0 33.333333%;
    }

    .col-sm-5 {
        display: block;
        max-width: 41.666667%;
        flex: 0 0 41.666667%;
    }

    .col-sm-6 {
        display: block;
        max-width: 50%;
        flex: 0 0 50%;
    }

    .col-sm-7 {
        display: block;
        max-width: 58.333333%;
        flex: 0 0 58.333333%;
    }

    .col-sm-8 {
        display: block;
        max-width: 66.666667%;
        flex: 0 0 66.666667%;
    }

    .col-sm-9 {
        display: block;
        max-width: 75%;
        flex: 0 0 75%;
    }

    .col-sm-10 {
        display: block;
        max-width: 83.333333%;
        flex: 0 0 83.333333%;
    }

    .col-sm-11 {
        display: block;
        max-width: 91.666667%;
        flex: 0 0 91.666667%;
    }

    .col-sm-12 {
        display: block;
        max-width: 100%;
        flex: 0 0 100%;
    }
}

@media (width >= 768px) {
    .col-md {
        display: block;
        max-width: 100%;
        flex: auto;
    }

    .col-md-auto {
        display: block;
        max-width: 100%;
        flex: 1;
    }

    .col-md-1 {
        display: block;
        max-width: 8.333333%;
        flex: 0 0 8.333333%;
    }

    .col-md-2 {
        display: block;
        max-width: 16.666667%;
        flex: 0 0 16.666667%;
    }

    .col-md-3 {
        display: block;
        max-width: 25%;
        flex: 0 0 25%;
    }

    .col-md-4 {
        display: block;
        max-width: 33.333333%;
        flex: 0 0 33.333333%;
    }

    .col-md-5 {
        display: block;
        max-width: 41.666667%;
        flex: 0 0 41.666667%;
    }

    .col-md-6 {
        display: block;
        max-width: 50%;
        flex: 0 0 50%;
    }

    .col-md-7 {
        display: block;
        max-width: 58.333333%;
        flex: 0 0 58.333333%;
    }

    .col-md-8 {
        display: block;
        max-width: 66.666667%;
        flex: 0 0 66.666667%;
    }

    .col-md-9 {
        display: block;
        max-width: 75%;
        flex: 0 0 75%;
    }

    .col-md-10 {
        display: block;
        max-width: 83.333333%;
        flex: 0 0 83.333333%;
    }

    .col-md-11 {
        display: block;
        max-width: 91.666667%;
        flex: 0 0 91.666667%;
    }

    .col-md-12 {
        display: block;
        max-width: 100%;
        flex: 0 0 100%;
    }
}

@media (width >= 992px) {
    .col-lg {
        display: block;
        max-width: 100%;
        flex: auto;
    }

    .col-lg-auto {
        display: block;
        max-width: 100%;
        flex: 1;
    }

    .col-lg-1 {
        display: block;
        max-width: 8.333333%;
        flex: 0 0 8.333333%;
    }

    .col-lg-2 {
        display: block;
        max-width: 16.666667%;
        flex: 0 0 16.666667%;
    }

    .col-lg-3 {
        display: block;
        max-width: 25%;
        flex: 0 0 25%;
    }

    .col-lg-4 {
        display: block;
        max-width: 33.333333%;
        flex: 0 0 33.333333%;
    }

    .col-lg-5 {
        display: block;
        max-width: 41.666667%;
        flex: 0 0 41.666667%;
    }

    .col-lg-6 {
        display: block;
        max-width: 50%;
        flex: 0 0 50%;
    }

    .col-lg-7 {
        display: block;
        max-width: 58.333333%;
        flex: 0 0 58.333333%;
    }

    .col-lg-8 {
        display: block;
        max-width: 66.666667%;
        flex: 0 0 66.666667%;
    }

    .col-lg-9 {
        display: block;
        max-width: 75%;
        flex: 0 0 75%;
    }

    .col-lg-10 {
        display: block;
        max-width: 83.333333%;
        flex: 0 0 83.333333%;
    }

    .col-lg-11 {
        display: block;
        max-width: 91.666667%;
        flex: 0 0 91.666667%;
    }

    .col-lg-12 {
        display: block;
        max-width: 100%;
        flex: 0 0 100%;
    }
}

@media (width >= 1200px) {
    .col-xl {
        display: block;
        max-width: 100%;
        flex: auto;
    }

    .col-xl-auto {
        display: block;
        max-width: 100%;
        flex: 1;
    }

    .col-xl-1 {
        display: block;
        max-width: 8.333333%;
        flex: 0 0 8.333333%;
    }

    .col-xl-2 {
        display: block;
        max-width: 16.666667%;
        flex: 0 0 16.666667%;
    }

    .col-xl-3 {
        display: block;
        max-width: 25%;
        flex: 0 0 25%;
    }

    .col-xl-4 {
        display: block;
        max-width: 33.333333%;
        flex: 0 0 33.333333%;
    }

    .col-xl-5 {
        display: block;
        max-width: 41.666667%;
        flex: 0 0 41.666667%;
    }

    .col-xl-6 {
        display: block;
        max-width: 50%;
        flex: 0 0 50%;
    }

    .col-xl-7 {
        display: block;
        max-width: 58.333333%;
        flex: 0 0 58.333333%;
    }

    .col-xl-8 {
        display: block;
        max-width: 66.666667%;
        flex: 0 0 66.666667%;
    }

    .col-xl-9 {
        display: block;
        max-width: 75%;
        flex: 0 0 75%;
    }

    .col-xl-10 {
        display: block;
        max-width: 83.333333%;
        flex: 0 0 83.333333%;
    }

    .col-xl-11 {
        display: block;
        max-width: 91.666667%;
        flex: 0 0 91.666667%;
    }

    .col-xl-12 {
        display: block;
        max-width: 100%;
        flex: 0 0 100%;
    }
}

@media (width >= 1440px) {
    .col-xxl {
        display: block;
        max-width: 100%;
        flex: auto;
    }

    .col-xxl-auto {
        display: block;
        max-width: 100%;
        flex: 1;
    }

    .col-xxl-1 {
        display: block;
        max-width: 8.333333%;
        flex: 0 0 8.333333%;
    }

    .col-xxl-2 {
        display: block;
        max-width: 16.666667%;
        flex: 0 0 16.666667%;
    }

    .col-xxl-3 {
        display: block;
        max-width: 25%;
        flex: 0 0 25%;
    }

    .col-xxl-4 {
        display: block;
        max-width: 33.333333%;
        flex: 0 0 33.333333%;
    }

    .col-xxl-5 {
        display: block;
        max-width: 41.666667%;
        flex: 0 0 41.666667%;
    }

    .col-xxl-6 {
        display: block;
        max-width: 50%;
        flex: 0 0 50%;
    }

    .col-xxl-7 {
        display: block;
        max-width: 58.333333%;
        flex: 0 0 58.333333%;
    }

    .col-xxl-8 {
        display: block;
        max-width: 66.666667%;
        flex: 0 0 66.666667%;
    }

    .col-xxl-9 {
        display: block;
        max-width: 75%;
        flex: 0 0 75%;
    }

    .col-xxl-10 {
        display: block;
        max-width: 83.333333%;
        flex: 0 0 83.333333%;
    }

    .col-xxl-11 {
        display: block;
        max-width: 91.666667%;
        flex: 0 0 91.666667%;
    }

    .col-xxl-12 {
        display: block;
        max-width: 100%;
        flex: 0 0 100%;
    }
}
